#install.packages("corrplot")


library(corrplot)      #引用包
inputFile="corInput.txt"      #输入文件
setwd("C:\\Users\\lexb\\Desktop\\geoGene\\20.corrplot")      #设置工作目录

#读取输入文件
rt=read.table(inputFile, header=T, sep="\t", check.names=F, row.names=1)

#相关性矩阵
rt=t(rt)
corMat=cor(rt)

#绘制相关性图形
pdf("correlation.pdf", width=8, height=8)
corrplot(corr = corMat,         #相关性矩阵
         method = "circle",     #图形的展示形式
         order = "original",    #基因排序方式
         number.cex = 1,        #字体大小
         type = "upper",        #图形的展示位置
         col=colorRampPalette(c("#709AE1FF", "white", "#F05C3BFF"))(50),     #颜色设置
         )
dev.off()


######生信自学网: https://www.biowolf.cn/
######课程链接1: https://shop119322454.taobao.com
######课程链接2: https://ke.biowolf.cn
######课程链接3: https://ke.biowolf.cn/mobile
######光俊老师邮箱: seqbio@foxmail.com
######光俊老师微信: seqBio

